package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zj
 * @date 2019-01-28 20:44:23
 */
@TableName("live_video_transcoding_ext")
public class LiveVideoTranscodingExtEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Integer id;
    /**
     * 后台请求的参数
     */
    private String requestParams;
    /**
     * 请求阿里的参数
     */
    private String requestAliParams;
    /**
     * 阿里响应的数据
     */
    private String responseAliParams;
    /**
     * 操作方式：0添加，1删除，2查询
     */
    private String operater;

    private Date createDate;

    /**
     * 设置：
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置：后台请求的参数
     */
    public void setRequestParams(String requestParams) {
        this.requestParams = requestParams;
    }

    /**
     * 获取：后台请求的参数
     */
    public String getRequestParams() {
        return requestParams;
    }

    /**
     * 设置：请求阿里的参数
     */
    public void setRequestAliParams(String requestAliParams) {
        this.requestAliParams = requestAliParams;
    }

    /**
     * 获取：请求阿里的参数
     */
    public String getRequestAliParams() {
        return requestAliParams;
    }

    /**
     * 设置：阿里响应的数据
     */
    public void setResponseAliParams(String responseAliParams) {
        this.responseAliParams = responseAliParams;
    }

    /**
     * 获取：阿里响应的数据
     */
    public String getResponseAliParams() {
        return responseAliParams;
    }

    /**
     * 设置：操作方式：0添加，1删除，2查询
     */
    public void setOperater(String operater) {
        this.operater = operater;
    }

    /**
     * 获取：操作方式：0添加，1删除，2查询
     */
    public String getOperater() {
        return operater;
    }


    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
